#include "MenuTextSk2_Player2Keyboard.h"

InputSetting_Keyboard* MenuTextSk2_Player2Keyboard::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player2Keyboard ? gameFunc->GetInputSetting_Player2Keyboard() : nullptr;
}

SDL_Scancode* MenuTextSk2_Player2Keyboard::GetBind(InputSetting_Keyboard* setting)
{
	return &setting->op_skill_2;
}

std::shared_ptr<Entity> CreateMenuTextSk2_Player2Keyboard()
{
	return std::make_shared<MenuTextSk2_Player2Keyboard>();
}


